> ## Documentation Index
> Fetch the complete documentation index at: https://dotsdev.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve an App's Compliance Information

> Retrieve the compliance information for an app in your organization



## OpenAPI

````yaml /v2.yaml get /v2/apps/{app_id}/compliance
openapi: 3.1.0
info:
  title: dots api
  version: '1.0'
  summary: Dots Payout API
  description: Scalable and Flexible Payouts Infrastructure
  contact:
    name: Kartikye Mittal
    url: https://dots.dev
    email: info@dots.dev
  license:
    name: MIT
    url: https://opensource.org/license/mit/
servers:
  - url: https://api.dots.dev/api
    description: Production
security:
  - api_key: []
tags:
  - name: accounts-payable
    description: Accounts Payable Routes
  - name: apps
    description: App Routes
  - name: flows
    description: Flow routes
  - name: organizations
    description: Organization Routes
  - name: payment-customers
    description: Payment Customer Routes
  - name: payments
    description: Payment Routes
  - name: payout-batches
    description: Payout Batch Routes
  - name: payout-links
    description: Payout Link Routes
  - name: payout-requests
    description: Payout Request Routes
  - name: payouts
    description: Payout Routes
  - name: transactions
    description: Transaction Routes
  - name: transfer-batches
    description: Transfer Batch routes
  - name: transfers
    description: Transfer routes
  - name: users
    description: User routes
paths:
  /v2/apps/{app_id}/compliance:
    parameters:
      - schema:
          type: string
          format: UUID
        name: app_id
        in: path
        required: true
        description: ID of the app to query or modify
    get:
      tags:
        - apps
      summary: Retrieve an App's Compliance Information
      description: Retrieve the compliance information for an app in your organization
      operationId: get-app-compliance
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/business-compliance-info'
        '404':
          description: Not found
components:
  schemas:
    business-compliance-info:
      type: object
      required:
        - company_info
        - contact_info
        - directors
        - flow_of_funds
      properties:
        company_info:
          type: object
          required:
            - name
            - website
            - ein
            - incorporation_type
            - incorporation_state
            - incorporation_date
            - ubo_count
          properties:
            dba:
              maxLength: 60
              minLength: 1
              type: string
              description: Company DBA (Doing Business As)
            ein:
              pattern: '[0-9]{9}'
              type: string
              description: Federal Employer Identification Number
            incorporation_date:
              format: date
              type: string
              description: Date of incorporation
            incorporation_state:
              type: string
              description: State where incorporated
            incorporation_type:
              enum:
                - sole_proprietorship
                - partnership
                - llc
                - c_corporation
                - s_corporation
                - non_profit
              type: string
              description: The legal classification of the company's incorporation
            name:
              maxLength: 100
              minLength: 3
              type: string
              description: Company's legal name
            website:
              maxLength: 100
              minLength: 3
              type: string
              description: Company web address
            ubo_count:
              type: integer
              minimum: 1
              description: >-
                Number of Ultimate Benficial Owners (UBOs). This must be the
                same as the length of the `directors` array.
        contact_info:
          type: object
          required:
            - email
            - phone_number
            - line1
            - city
            - zip
            - state
            - country
          properties:
            city:
              maxLength: 100
              minLength: 1
              type: string
            country:
              maxLength: 60
              minLength: 2
              type: string
              description: Country name or country code
            email:
              format: email
              maxLength: 100
              minLength: 3
              type: string
              description: >-
                Primary contact email address. Service emails will be sent to
                this address.
            line1:
              maxLength: 100
              minLength: 1
              type: string
              description: Address line 1
            line2:
              maxLength: 100
              minLength: 1
              type: string
              description: Address line 2
            phone_number:
              maxLength: 30
              minLength: 3
              type: string
            state:
              maxLength: 60
              minLength: 2
              type: string
              description: State when applicable
            zip:
              maxLength: 20
              minLength: 3
              type: string
              description: ZIP or postal code
        directors:
          items:
            type: object
            required:
              - first_name
              - last_name
              - title
              - phone
              - email
              - dob
              - ownership_percentage
              - address
            properties:
              address:
                type: object
                required:
                  - line1
                  - city
                  - zip
                  - country
                  - state
                properties:
                  city:
                    maxLength: 100
                    minLength: 1
                    type: string
                  country:
                    maxLength: 60
                    minLength: 2
                    type: string
                  line1:
                    maxLength: 100
                    minLength: 1
                    type: string
                  line2:
                    maxLength: 100
                    minLength: 1
                    type: string
                  state:
                    maxLength: 60
                    minLength: 1
                    type: string
                  zip:
                    maxLength: 20
                    minLength: 3
                    type: string
              dob:
                format: date
                type: string
                description: Date of birth
              ssn:
                type: string
                pattern: '[0-9]{9}'
                description: Social security number
              email:
                format: email
                maxLength: 100
                minLength: 3
                type: string
                description: Contact email, needs to be verifiable
              first_name:
                maxLength: 60
                minLength: 1
                type: string
              last_name:
                maxLength: 60
                minLength: 1
                type: string
              ownership_percentage:
                max: 100
                min: 0
                type: number
                description: Percentage of company owned by this person
              phone:
                maxLength: 30
                minLength: 3
                type: string
              title:
                maxLength: 60
                minLength: 3
                type: string
                description: Employee title or ownership role
            if:
              properties:
                address:
                  properties:
                    country:
                      const: US
            then:
              required:
                - ssn
          type: array
        flow_of_funds:
          type: object
          required:
            - reasons
            - usage
          properties:
            reasons:
              maxLength: 400
              minLength: 3
              type: string
              description: Flow of funds
              examples:
                - >-
                  Payments are processed via credit card, deposited to Dots, and
                  paid to sellers.
                - >-
                  Funds will be loaded from our bank account and paid out via
                  Dots.
            usage:
              maxLength: 400
              minLength: 3
              type: string
              description: Description of the business
              examples:
                - We are a market place for teddy bears.
                - We provide a platform for influencers to get paid for posting.
  securitySchemes:
    api_key:
      type: http
      scheme: basic

````